﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Kendo.Mvc.UI;
using Kendo.Mvc.Extensions;
using ListViewTest.Models;
using Microsoft.AspNetCore.Mvc;
using System.Data;
using System.Data.SqlClient;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace ListViewTest.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            ViewBag.Categories = GetCategories();
            return View();
        }

        public ActionResult Announcements_Read([DataSourceRequest] DataSourceRequest request)
        {
            var model = GetAnnouncements();
            return Json(model.ToDataSourceResult(request));
        }

        private IEnumerable<Announcement> GetAnnouncements()
        {
            List<Announcement> a = new List<Announcement>();
            a.Add(new Announcement()
            {
                Id = 1,
                Category = "Convener's Corner",
                Description = "Test"
            });
            return a;
        }

        private IEnumerable<SelectListItem> GetCategories()
        {
            List<SelectListItem> a = new List<SelectListItem>();
            a.Add(new SelectListItem()
            {
                Text = "Convener's Corner",
                Value = "Convener's Corner"
            });
            return a;
        }
    }
}